
QGIS Application - Bug report #3114

Digitizing issue whith attribute updates when "Avoid intersection" and "shared editing" is active

2010-10-15 04:48 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13174

Description

It appears that if

    -  shared (topological) editing and

    -  avoid intersection is active in a polygon layer

and the user creates two adjacent new polygons next to existing polygons, that one of the previously digitized features may accidentally

inherit attributes from the feature just digitized.

History

#1 - 2010-10-28 02:17 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

commit:fb48cc0c (SVN r14445) should fix this. Please test and reopen if not.

#2 - 2010-11-01 01:04 AM - Andreas Neumann

I can confirm that this bug is now fixed - thank you!
